Get a finding's events in a repository.
curl --request GET \
--url https://api.example.com/api/v0/repositories/{repo_id}/findings/{finding_ref}/eventsimport requests
url = "https://api.example.com/api/v0/repositories/{repo_id}/findings/{finding_ref}/events"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v0/repositories/{repo_id}/findings/{finding_ref}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"reactions": [
{
"reaction": "<string>",
"users": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}
],
"lastUpdatedBy": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"username": "<string>",
"avatar": "<string>",
"isBot": true,
"createdAt": "2023-11-07T05:31:56Z",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pingsLeft": 123,
"reputation": 123,
"disabledAt": "2023-11-07T05:31:56Z",
"deletedFromRepoAt": "2023-11-07T05:31:56Z"
},
"lastUpdatedAt": "2023-11-07T05:31:56Z",
"createdBy": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"username": "<string>",
"avatar": "<string>",
"isBot": true,
"createdAt": "2023-11-07T05:31:56Z",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pingsLeft": 123,
"reputation": 123,
"disabledAt": "2023-11-07T05:31:56Z",
"deletedFromRepoAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"type": "comment",
"replies": "<array>",
"unreadNotification": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"msg": "<string>"
}{
"msg": "<string>"
}{
"msg": "<string>"
}{
"msg": "<string>"
}{
"msg": "<string>"
}Repositories
Get a finding's events in a repository.
Access control rules
- The requester must have access to the repository.
- Reviewers have access to the finding they and their team made.
- Clients, judges, triagers and admins have access to all findings.
GET
/
api
/
v0
/
repositories
/
{repo_id}
/
findings
/
{finding_ref}
/
events
Get a finding's events in a repository.
Path Parameters
Reference to a finding, either a finding id or finding number.
Response
Finding events
Events that happened to/on a finding.
All the events.
Event that happened to/on a finding.
- Option 1
- Option 2
Show child attributes
Show child attributes
Escalate an existing finding in a repository and make a comment explaining why.Refund finding submission fee.
⌘I